From dbc4b1f17ccc7ac02b8157bc69b669566616441c Mon Sep 17 00:00:00 2001
From: Jean-Baptiste Holcroft <jean-baptiste@holcroft.fr>
Date: Jun 17 2019 21:29:55 +0000
Subject: [PATCH 10/10] rename *region* in *territory*


---

diff --git a/build_stats.py b/build_stats.py
index 8ac14d3..0449336 100755
--- a/build_stats.py
+++ b/build_stats.py
@@ -131,7 +131,7 @@ def clean_2_remove(data):
 
 
 def guess_bcp47(data):
-    """Guess Language, Region and Script from filename"""
+    """Guess Language, Territory and Script from filename"""
     data['basename'] = data['filename'].apply(os.path.basename)
 
     data['full_lang'] = data['basename'].str.rsplit('.', 1, expand=True)[0]
@@ -165,12 +165,12 @@ def guess_bcp47(data):
 
     data['language'] = data['lang'].str.rsplit('_', 1, expand=True)[0]
 
-    data['region'] = data['lang'].str.rsplit('_', 1, expand=True)[1]
+    data['territory'] = data['lang'].str.rsplit('_', 1, expand=True)[1]
 
     # store all unique values for debug
     store(data.drop_duplicates('lang', keep='last'), "1.debug.lang.csv")
     store(data.drop_duplicates('language', keep='last'), "1.debug.language.csv")
-    store(data.drop_duplicates('region', keep='last'), "1.debug.region.csv")
+    store(data.drop_duplicates('territory', keep='last'), "1.debug.territory.csv")
     store(data.drop_duplicates('script', keep='last'), "1.debug.script.csv")
 
     # remove temporary columns
@@ -181,11 +181,11 @@ def guess_bcp47(data):
 
 
 def clean_bcp47(data):
-    """Remove impossible values for language and region"""
-    # remove region longer than 2 chars
-    store(data[data.region.str.len() > 2], '0.error.len(region)>2.csv')
-    data = data[~(data.region.str.len() > 2)]
-    info(data, "* remove if len(region)>2")
+    """Remove impossible values for language and territory"""
+    # remove territory longer than 2 chars
+    store(data[data.territory.str.len() > 2], '0.error.len(territory)>2.csv')
+    data = data[~(data.territory.str.len() > 2)]
+    info(data, "* remove if len(territory)>2")
 
     # remove languages longer than 3 chars
     store(data[data.language.str.len() > 3], '0.error.len(language)>3.csv')
@@ -199,9 +199,9 @@ def clean_bcp47(data):
     info(data, "* remove if language.isdigit()")
 
     # set types
-    data.region = data.region.fillna('')
+    data.territory = data.territory.fillna('')
     data.script = data.script.fillna('')
-    data = data.astype({'region': 'str', 'language': 'str', 'script': 'str'})
+    data = data.astype({'territory': 'str', 'language': 'str', 'script': 'str'})
 
     return data
 
@@ -229,7 +229,7 @@ def add_cldr(data):
     data = data.rename(columns={'name': 'script_name'})
     data = data.drop('code', 1)
 
-    data = data.merge(cldr_territory, how='left', left_on='region',
+    data = data.merge(cldr_territory, how='left', left_on='territory',
                       right_on='code', suffixes=(False, 'territory_'))
     data = data.rename(columns={'name': 'territory_name'})
     data = data.drop('code', 1)
@@ -261,24 +261,24 @@ def check_lang_territory_consistency(data):
     cldr_data = cldr_data[["CName", 'Language']]
     # as we may have duplicated values now
     cldr_data = cldr_data.drop_duplicates()
-    cldr_data = cldr_data.rename(columns={'CName':'territory', 'Language':'language'})
+    cldr_data = cldr_data.rename(columns={'CName':'terr', 'Language':'language'})
 
     data = data.merge(cldr_data, how='left',
-                      left_on=('language','region'),
-                      right_on=('language','territory'),
+                      left_on=('language','territory'),
+                      right_on=('language','terr'),
                       suffixes=(False,'_cldr'))
-    data = data.rename(columns={'name': 'language_name'})
 
-    error = data[['language', 'region', 'territory']]
-    error = error[~(error.region.isnull())]
-    error = error[~(error.region == '')]
-    error = error[error.territory.isnull()].drop_duplicates()
+    error = data[['language', 'territory', 'terr']]
+    error = error[~(error.territory.isnull())]
+    error = error[~(error.territory == '')]
+    error = error[error.terr.isnull()].drop_duplicates()
     store(error, '0.error.no population for this language-territory couple.csv')
 
-    data = data.drop('territory', 1)
+    data = data.drop('terr', 1)
 
     return data
 
+
 def info(dataset, step):
     """Print basic informations about current dataset"""
     print(" * "+step+" → we now have "+str(len(dataset))+" rows")
diff --git a/results/f30/0.error.language not in cldr.csv b/results/f30/0.error.language not in cldr.csv
index 30ad90e..2c9a843 100644
--- a/results/f30/0.error.language not in cldr.csv
+++ b/results/f30/0.error.language not in cldr.csv
@@ -1,4 +1,4 @@
-src,filename,translatedMessages,translatedSourceWords,translatedTargetWords,fuzzyMessages,fuzzySourceWords,untranslatedMessages,untranslatedSourceWords,totalMessage,totalSourceWords,basename,script,language,region,language_name,script_name,territory_name
+src,filename,translatedMessages,translatedSourceWords,translatedTargetWords,fuzzyMessages,fuzzySourceWords,untranslatedMessages,untranslatedSourceWords,totalMessage,totalSourceWords,basename,script,language,territory,language_name,script_name,territory_name
 anaconda-30.25.6-1.fc30.src.rpm.stats.csv,po/wba.po,0,0,0,0,0,1198,7236,1198,7236,wba.po,,wba,,,,
 gnome-icon-theme-3.12.0-11.fc30.src.rpm.stats.csv,po/nhn.po,2,4,4,0,0,0,0,2,4,nhn.po,,nhn,,,,
 iso-codes-4.2-2.fc30.src.rpm.stats.csv,iso_3166-1/son.po,212,262,266,0,0,208,724,420,986,son.po,,son,,,,
diff --git a/results/f30/0.error.languages is numeric.csv b/results/f30/0.error.languages is numeric.csv
index 9650cd4..29e809f 100644
--- a/results/f30/0.error.languages is numeric.csv
+++ b/results/f30/0.error.languages is numeric.csv
@@ -1,4 +1,4 @@
-src,filename,translatedMessages,translatedSourceWords,translatedTargetWords,fuzzyMessages,fuzzySourceWords,untranslatedMessages,untranslatedSourceWords,totalMessage,totalSourceWords,basename,script,language,region
+src,filename,translatedMessages,translatedSourceWords,translatedTargetWords,fuzzyMessages,fuzzySourceWords,untranslatedMessages,untranslatedSourceWords,totalMessage,totalSourceWords,basename,script,language,territory
 libreoffice-6.2.2.2-4.fc30.src.rpm.stats.csv,translations/source/am/helpcontent2/source/text/sbasic/shared/01.po,67,465,452,0,0,0,0,67,465,01.po,,01,
 libreoffice-6.2.2.2-4.fc30.src.rpm.stats.csv,translations/source/am/helpcontent2/source/text/sbasic/shared/02.po,198,1482,1382,0,0,0,0,198,1482,02.po,,02,
 libreoffice-6.2.2.2-4.fc30.src.rpm.stats.csv,translations/source/am/helpcontent2/source/text/sbasic/shared/03.po,41,121,190,0,0,6,24,47,145,03.po,,03,
diff --git a/results/f30/0.error.no population for this language-territory couple.csv b/results/f30/0.error.no population for this language-territory couple.csv
index 27c72fb..2314da6 100644
--- a/results/f30/0.error.no population for this language-territory couple.csv
+++ b/results/f30/0.error.no population for this language-territory couple.csv
@@ -1,2 +1,2 @@
-language,region,territory
+language,territory,terr
 an,es,
